RubySec

Providing security resources for the Ruby community

CVE-2020-13482 (em-http-request): Improper Certificate Validation in EM-HTTP-Request

ADVISORIES

GEM

em-http-request

SEVERITY

CVSS v3: 7.4 (High)

PATCHED VERSIONS

  • >= 1.1.6

DESCRIPTION

EM-HTTP-Request 1.1.5 uses the library eventmachine in an insecure way that allows an attacker to perform a man-in-the-middle attack against users of the library. The hostname in a TLS server certificate is not verified.